{
	"name": "form/local/input/order_row/order_row-sales2/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "order_row-sales2"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Critical start date",
												"attribute": {
													"model": "hdr.ordr.json_data.critical_start_date"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.critical_start_date"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est. manufacture date",
												"attribute": {
													"model": "hdr.ordr.json_data.est_manufacture_date"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.est_manufacture_date"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Project",
												"attribute": {
													"model": "hdr.ordr.json_data.project_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.project_id"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Critical start time",
												"attribute": {
													"model": "hdr.ordr.json_data.critical_start_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "time",
													"model": "rec.ordr.json_data.critical_start_time"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est. manufacture time",
												"attribute": {
													"model": "hdr.ordr.json_data.est_manufacture_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "time",
													"model": "rec.ordr.json_data.est_manufacture_time"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Customer project",
												"attribute": {
													"model": "hdr.ordr.json_data.customer_project"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.customer_project"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Critical start diff.",
												"attribute": {
													"model": "hdr.ordr.json_data.critical_start_difference"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.critical_start_difference"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Est. finish diff.",
												"attribute": {
													"model": "hdr.ordr.json_data.est_finish_difference"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.est_finish_difference"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Transfer ID",
												"attribute": {
													"model": "hdr.ordr.json_data.transfer_id"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.transfer_id"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Sales price total",
												"attribute": {
													"model": "hdr.ordr.price_without_vat"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.price_without_vat"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Cost price total",
												"attribute": {
													"model": "hdr.ordr.json_data.cost_price_total"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.cost_price_total"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Material cost",
												"attribute": {
													"model": "hdr.ordr.json_data.material_cost"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.material_cost"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-row",
										"attribute": {
											"width": "1/1"
										}
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Sales margin",
												"attribute": {
													"model": "hdr.ordr.json_data.sales_margin"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.sales_margin"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Material margin",
												"attribute": {
													"model": "hdr.ordr.json_data.material_margin"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.material_margin"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Postcalc date",
												"attribute": {
													"model": "hdr.ordr.json_data.postcalc_date"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.ordr.json_data.postcalc_date"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Sales margin percenct",
												"attribute": {
													"model": "hdr.order_row-sales.sales_margin_percenct"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.order_row-sales.sales_margin_percenct"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Material margin percenct",
												"attribute": {
													"model": "hdr.order_row-sales.material_margin_percenct"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.order_row-sales.material_margin_percenct"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Additional data",
								"attribute": {
									"model": "hdr.ordr.json_data.additional_data"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.ordr.json_data.additional_data"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Explanation",
								"attribute": {
									"model": "hdr.ordr.description"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.ordr.description"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Info",
								"attribute": {
									"model": "hdr.ordr.info"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"model": "rec.ordr.info"
								}
							}
						]
					}
				]
			}
		]
	}
}
